package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 测试报告对象 fs_test_report
 *
 * @author fs
 * @date 2023-09-04
 */
public class FsTestReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long reportId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 报告ID */
    @Excel(name = "报告ID")
    private String reportSn;



    /** 诊断结果 */
    @Excel(name = "诊断结果")
    private String testResult;

    /** 表单JSON数据 */
    @Excel(name = "表单JSON数据")
    private String formJson;

    /** 调理方案 */
    @Excel(name = "调理方案")
    private String conditioningPlanJson;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long tempId;

    /** 分数 */
    @Excel(name = "分数")
    private Long score;

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    private String imgUrl;
    public void setReportId(Long reportId)
    {
        this.reportId = reportId;
    }

    public Long getReportId()
    {
        return reportId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setPatientId(Long patientId)
    {
        this.patientId = patientId;
    }

    public Long getPatientId()
    {
        return patientId;
    }
    public void setPatientJson(String patientJson)
    {
        this.patientJson = patientJson;
    }

    public String getPatientJson()
    {
        return patientJson;
    }
    public void setReportSn(String reportSn)
    {
        this.reportSn = reportSn;
    }

    public String getReportSn()
    {
        return reportSn;
    }



    public void setTestResult(String testResult)
    {
        this.testResult = testResult;
    }

    public String getTestResult()
    {
        return testResult;
    }
    public void setFormJson(String formJson)
    {
        this.formJson = formJson;
    }

    public String getFormJson()
    {
        return formJson;
    }
    public void setConditioningPlanJson(String conditioningPlanJson)
    {
        this.conditioningPlanJson = conditioningPlanJson;
    }

    public String getConditioningPlanJson()
    {
        return conditioningPlanJson;
    }
    public void setTempId(Long tempId)
    {
        this.tempId = tempId;
    }

    public Long getTempId()
    {
        return tempId;
    }
    public void setScore(Long score)
    {
        this.score = score;
    }

    public Long getScore()
    {
        return score;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("reportId", getReportId())
            .append("userId", getUserId())
            .append("patientId", getPatientId())
            .append("patientJson", getPatientJson())
            .append("reportSn", getReportSn())
            .append("testResult", getTestResult())
            .append("formJson", getFormJson())
            .append("conditioningPlanJson", getConditioningPlanJson())
            .append("tempId", getTempId())
            .append("score", getScore())
            .append("createTime", getCreateTime())
            .append("remark", getRemark())
            .toString();
    }
}
